too many panels displayed during install (see screenshot)

Bug #1207890 reported by Chris Gagnon on 2013-08-02
126
This bug affects 23 people
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
Medium
Lars Karlitski

Bug Description

Description:
too many panels displayed during install (see screenshot)

steps:
1. boot ubuntu live cd

expected results:
 1 panel width is at the top of the screen

actual results:
 panel is stretched, multiple times wider than normal size.

Related branches

Chris Gagnon (chris.gagnon) wrote :

# This is based on the default Utah preseed file
# Additions are specific to get a desktop working and autopilot etc.
# This is the minimal preseed that worked on 8 precise ISOs
# Further version-specific tweaks may be necessary or desirable in the future

d-i debian-installer/locale string en_US.UTF-8
#d-i netcfg/get_hostname string unity-ap
d-i partman-auto/method string regular
#need this for desktop
d-i partman/choose_partition select Finish partitioning and write changes to disk
#need this for cobbler
d-i partman/confirm boolean true
#need this for non-desktop
d-i partman/confirm_nooverwrite boolean true
d-i time/zone string Etc/UTC
d-i passwd/user-fullname string Jenkins
d-i passwd/username string fakeuser
d-i passwd/user-password password fakepassword
d-i passwd/user-password-again password fakepassword

# -- Packages etc.
# us.archive.ubuntu.com seems to give us issues sometimes, lets try with just
# archive.ubuntu.com
d-i mirror/country string manual
d-i mirror/http/hostname string archive.ubuntu.com
d-i mirror/http/directory string /ubuntu
# d-i apt-setup/restricted boolean true
d-i apt-setup/universe boolean true

#need this for non-desktop
d-i finish-install/reboot_in_progress note
# Late commands, auto-login etc.
d-i preseed/late_command string \
  echo "[SeatDefaults]" >> /target/etc/lightdm/lightdm.conf.d/utah-autologin.conf;\
  echo "autologin-user=jenkins" >> /target/etc/lightdm/lightdm.conf.d/utah-autologin.conf;\
  echo "jenkins ALL=(ALL) NOPASSWD: ALL" >> /target/etc/sudoers;\
  echo "Defaults always_set_home" >> /target/etc/sudoers;\
  in-target apt-get install -y curl;\
  in-target apt-get install -y openssh-server bzr;\
  sed -i 's/eject -p -m.*/&; [ "$prompt" ] || return 0/' /etc/init.d/casper;

Chris Gagnon (chris.gagnon) wrote :
Chris Gagnon (chris.gagnon) wrote :

Because of the placement of the wireless icon it makes me think the panel is too large and it's just re-painting the panel graphics multiple times.

Changed in ubiquity (Ubuntu):
status: New → Confirmed
description: updated
description: updated
Changed in ubiquity (Ubuntu):
assignee: nobody → Lars Uebernickel (larsu)
importance: Undecided → Medium
description: updated
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1207890

tags: added: iso-testing

Happening here too: Intel i5 3210M (Ivy Bridge) with HD Graphics 4000.

Sergio Benjamim (sergio-br2) wrote :

Same issue here, using ISO update (september 18), my hardware:

Intel(R) Core(TM) i7-4700HQ CPU @ 2.40GHz

  *-display
       description: 3D controller
       produit: GK208M [GeForce GT 740M]
       fabriquant: NVIDIA Corporation
       identifiant matériel: 0
       information bus: pci@0000:01:00.0
       version: a1
       bits: 64 bits
       horloge: 33MHz
       fonctionnalités: pm msi pciexpress bus_master cap_list rom
       configuration: driver=nvidia latency=0
       ressources: irq:16 mémoire:f6000000-f6ffffff mémoire:e0000000-efffffff mémoire:f0000000-f1ffffff portE/S:e000(taille=128) mémoire:f7000000-f707ffff
  *-display
       description: VGA compatible controller
       produit: 4th Gen Core Processor Integrated Graphics Controller
       fabriquant: Intel Corporation
       identifiant matériel: 2
       information bus: pci@0000:00:02.0
       version: 06
       bits: 64 bits
       horloge: 33MHz
       fonctionnalités: msi pm vga_controller bus_master cap_list rom
       configuration: driver=i915 latency=0
       ressources: irq:47 mémoire:f7400000-f77fffff mémoire:d0000000-dfffffff portE/S:f000(taille=64)

amjjawad  (amjjawad) wrote :

Just for the record, this is only affects Ubuntu. I have tested Ubuntu GNOME, Lubuntu, Xubuntu (Saucy) and this issue does not exist. So, it seems it is Ubuntu Related ONLY.

Thank you!

Yes, it ONLY affects Ubuntu. I have tested the latest image.

Ma Jun (maclin.jun) wrote :

It also affects UbuntuKylin.

Lars Karlitski (larsu) on 2013-09-25
Changed in ubiquity (Ubuntu):
status: Confirmed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.15.20

---------------
ubiquity (2.15.20) saucy; urgency=low

  [ Colin Watson ]
  * (Build-)depend on python3-icu rather than transitional python3-pyicu.

  [ Howard Chan ]
  * Fix the new Ubuntu Studio wallpaper backdrop for ubiquity. (LP: #1229651)

  [ Dmitrijs Ledkovs ]
  * Add dependencies on python3-pam.
  * Establish a PAM session with logind "greeter" mode in ubiquity-dm,
    resolving the following bugs:
    - WiFi page not working (LP: #1178638) (LP: #1220193)
    - Sound system / a11y not available (LP: #1229416)
    - and maybe others.
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu41.

  [ Lars Uebernickel ]
  * Force ubiquity/panel to 28 pixels height. (LP: #1207890)
 -- Dmitrijs Ledkovs <email address hidden> Wed, 25 Sep 2013 13:36:05 +0100

Changed in ubiquity (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers